GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
credentials_metadata.c File Reference
`#include "src/core/security/credentials.h"`
`#include <grpc/support/alloc.h>`
`#include <string.h>`

## Functions
grpc_credentials_md_store * | grpc_credentials_md_store_create (size_t initial_capacity)
void | grpc_credentials_md_store_add (grpc_credentials_md_store *store, gpr_slice key, gpr_slice value)
void | grpc_credentials_md_store_add_cstrings (grpc_credentials_md_store *store, const char *key, const char *value)
grpc_credentials_md_store * | grpc_credentials_md_store_ref (grpc_credentials_md_store *store)
void | grpc_credentials_md_store_unref (grpc_credentials_md_store *store)

## Function Documentation

void grpc_credentials_md_store_add | ( | grpc_credentials_md_store * | store,
|  | gpr_slice | key,
|  | gpr_slice | value
| ) |  |

void grpc_credentials_md_store_add_cstrings | ( | grpc_credentials_md_store * | store,
|  | const char * | key,
|  | const char * | value
| ) |  |

grpc_credentials_md_store* grpc_credentials_md_store_create | ( | size_t | initial_capacity | ) |

grpc_credentials_md_store* grpc_credentials_md_store_ref | ( | grpc_credentials_md_store * | store | ) |

void grpc_credentials_md_store_unref | ( | grpc_credentials_md_store * | store | ) |